Subject: medical herbs supplier wanted

From: [email-masked] (A White Chemist)
Date: Wed, 4 Oct 1995 23:09:20

I am seeking suppliers in U.S.A., EUROPE or elswhere of dried medical herbs.

Gerald Schaffer

---

From: AMIT KARIA <[email-masked]>
Date: 8 Oct 1995 16:44:22 GMT

THIS IS AMIT KARIA FROM SEARS PHYTOCHEM LIMITED, 55/1/2 C, NEW 
PALASIA, INDORE - 452 001 (MP-INDIA).  WE ARE MANUFACTURERS OF 
HERBAL EXTRACTS, ESSENTIAL OILS, COSMETIC ADDITIVES, ETC.  PLEASE 
LET ME HAVE YOUR SPECIFI REQUIREMENTS TO ENABLE MAIL YOU OUR 
PRICE LIST.  WE HAVE BEEN EXPORTING OUR PRODUCTS TO USA AND 
JAPAN.  REGARDS.  YOU CAN CONTACT ON FAX ALSO - +91-731-431168 & 
538226.